CVE-2015-3784

MEDIUM

Description

Office Viewer in Apple iOS before 8.4.1 and OS X before 10.10.5 allows remote attackers to read arbitrary files via an XML document containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.

References

http://lists.apple.com/archives/security-announce/2015/Aug/msg00001.html

http://lists.apple.com/archives/security-announce/2015/Aug/msg00002.html

http://lists.apple.com/archives/security-announce/2015/Oct/msg00000.html

http://www.securityfocus.com/bid/76343

http://www.securitytracker.com/id/1033275

https://support.apple.com/HT205373

https://support.apple.com/kb/HT205030

https://support.apple.com/kb/HT205031

Details

Source: MITRE

Published: 2015-08-16

Updated: 2016-12-24

Type: CWE-200

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:* versions up to 10.10.4 (inclusive)

Configuration 2

OR

cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:* versions up to 8.4 (inclusive)

Configuration 3

OR

cpe:2.3:a:apple:numbers:*:*:*:*:*:*:*:* versions up to 3.5 (inclusive)

Configuration 4

OR

cpe:2.3:a:apple:keynote:*:*:*:*:*:*:*:* versions up to 6.5 (inclusive)

Configuration 5

OR

cpe:2.3:a:apple:pages:*:*:*:*:*:*:*:* versions up to 5.5.3 (inclusive)

Configuration 6

OR

cpe:2.3:a:apple:iwork:*:*:*:*:*:*:*:* versions up to 2.5.4 (inclusive)

Tenable Plugins

View all (6 total)

IDNameProductFamilySeverity
9333Apple TV < 7.2.1 Multiple VulnerabilitiesNessus Network MonitorInternet Services
medium
90315Apple TV < 7.2.1 Multiple VulnerabilitiesNessusMisc.
high
8981Mac OS X < 10.10.5 Multiple VulnerabilitiesNessus Network MonitorOperating System Detection
high
8978Apple iOS < 8.4.1 Multiple VulnerabilitiesNessus Network MonitorMobile Devices
critical
85408Mac OS X 10.10.x < 10.10.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
high
85407Apple iOS < 8.4.1 Multiple VulnerabilitiesNessusMobile Devices
high